<?php
/* $Id: setup.php 3827 2010-06-18 14:20:18Z denis $ */

$module_keyword = "auth";
$main_section = "settings";
$item_id = 3;

$NETCAT_FOLDER = join( strstr(__FILE__, "/") ? "/" : "\\", array_slice( preg_split("/[\/\\\]+/", __FILE__), 0, -4 ) ).( strstr(__FILE__, "/") ? "/" : "\\" );
include_once ($NETCAT_FOLDER."vars.inc.php");
require ($ADMIN_FOLDER."function.inc.php");
require ($INCLUDE_FOLDER."s_loadenv.inc.php");

$Title1 = NETCAT_MODULES_TUNING;
$Title2 = NETCAT_MODULES;

if (!($perm->isSupervisor() || $perm->isGuest())) {
    BeginHtml ($Title2, $Title1, "http://".$DOC_DOMAIN."/settings/modules/");
    nc_print_status($NO_RIGHTS_MESSAGE, 'error');
    EndHtml ();
    exit;
}

// ,     
$res = $db->get_row("SELECT * FROM `Module` WHERE `Keyword` = '".$db->escape($module_keyword)."' AND `Installed` = 0", ARRAY_A);
//      
if ( !$db->num_rows ) {
  BeginHtml($Title2, $Title1, "http://".$DOC_DOMAIN."/settings/modules/");
  nc_print_status(NETCAT_MODULE_INSTALLCOMPLIED, 'ok');
  EndHtml();
  exit;
}
else {
  $module_data = $res;
}

// load modules env
$MODULE_VARS = $nc_core->modules->load_env();//LoadModuleEnv();

$ClassID = $db->get_var("SELECT `Class_ID` FROM `Class` WHERE `System_Table_ID` = 3");

if (!isset($phase)) $phase = 2;

switch ($phase) {
  case 1:
    BeginHtml($Title2, $Title1, "http://".$DOC_DOMAIN."/settings/modules/");
  break;

  case 2:
    BeginHtml($Title2, $Title1, "http://".$DOC_DOMAIN."/settings/modules/");
    SelectParentSub();
  break;
  
  case 3:
    BeginHtml($Title2, $Title1, "http://".$DOC_DOMAIN."/settings/modules/");

    $catlang=GetCatalougeLanguge($CatalogueID);
    
    if ($catlang=="ru") {
      InsertSub("","registration","",3,1,0,0,0,$ClassID,$SubdivisionID,$CatalogueID,"add",1);
      InsertSub(" ","password_recovery", $SUB_FOLDER.$HTTP_ROOT_PATH."modules/auth/password_recovery.php",0,0,0,0,0,$ClassID,$SubdivisionID,$CatalogueID,"index",0);
      $ModifySub = InsertSub(" ","modify","",2,0,2,0,0,$ClassID,$SubdivisionID,$CatalogueID,"index",1);
      InsertSub(" ","password", $SUB_FOLDER.$HTTP_ROOT_PATH."modules/auth/password_change.php",2,0,0,0,0,$ClassID,$ModifySub,$CatalogueID,"index",0);
    }
    else {
      InsertSub("Registration","registration","",3,1,0,0,0,$ClassID,$SubdivisionID,$CatalogueID,"add",1);
      InsertSub("Password recovery","password_recovery", $SUB_FOLDER.$HTTP_ROOT_PATH."modules/auth/password_recovery.php",0,0,0,0,0,$ClassID,$SubdivisionID,$CatalogueID,"index",0);
      $ModifySub = InsertSub("Modify you profile","modify","",2,0,2,0,0,$ClassID,$SubdivisionID,$CatalogueID,"index",1);
      InsertSub("Password change","password", $SUB_FOLDER.$HTTP_ROOT_PATH."modules/auth/password_change.php",2,0,0,0,0,$ClassID,$ModifySub,$CatalogueID,"index",0);
    }

    UpdateHiddenURL("/",0,$CatalogueID);

    $module_data["Parameters"] = UpdateParameters($module_data["Parameters"], "USER_MODIFY_SUB", $ModifySub);
    
    $db->query("UPDATE `Module` SET `Parameters` = '".$module_data["Parameters"]."' WHERE `Module_ID` = '".intval($module_data["Module_ID"])."'");

    //   
    $db->query("UPDATE `Module` SET `Installed` = 1 WHERE `Module_ID` = '".intval($module_data["Module_ID"])."'");
    echo "<br><br>";
		nc_print_status(NETCAT_MODULE_INSTALLCOMPLIED, 'ok');

  break;
}

EndHtml ();
?>