<?php
/* $Id: setup.php 3827 2010-06-18 14:20:18Z denis $ */

$module_keyword = "banner";
$main_section = "settings";
$item_id = 3;

$NETCAT_FOLDER = join( strstr(__FILE__, "/") ? "/" : "\\", array_slice( preg_split("/[\/\\\]+/", __FILE__), 0, -4 ) ).( strstr(__FILE__, "/") ? "/" : "\\" );
include_once ($NETCAT_FOLDER."vars.inc.php");
require ($ADMIN_FOLDER."function.inc.php");
require ($INCLUDE_FOLDER."s_loadenv.inc.php");

$Title1 = NETCAT_MODULES_TUNING;
$Title2 = NETCAT_MODULES;

if (!($perm->isSupervisor() || $perm->isGuest())) {
    BeginHtml ($Title2, $Title1, "http://".$DOC_DOMAIN."/settings/modules/");
    nc_print_status($NO_RIGHTS_MESSAGE, 'error');
    EndHtml ();
    exit;
}

// ,     
$res = $db->get_row("SELECT * FROM `Module` WHERE `Keyword` = '".$db->escape($module_keyword)."' AND `Installed` = 0", ARRAY_A);
//      
if ( !$db->num_rows ) {
  BeginHtml($Title2, $Title1, "http://".$DOC_DOMAIN."/settings/modules/");
  nc_print_status(NETCAT_MODULE_INSTALLCOMPLIED, 'ok');
  EndHtml();
  exit;
}
else {
  $module_data = $res;
}

// load modules env
$MODULE_VARS = $nc_core->modules->load_env();//LoadModuleEnv();

if (!isset($phase)) $phase=2;

switch ($phase) {
  case 1:
    BeginHtml($Title2, $Title1, "http://".$DOC_DOMAIN."/settings/modules/");
  break;

  case 2:
    BeginHtml($Title2, $Title1, "http://".$DOC_DOMAIN."/settings/modules/");

    SelectParentSub();

  break;

  case 3:
    BeginHtml($Title2, $Title1, "http://".$DOC_DOMAIN."/settings/modules/");

    $ClassID_b = intval($MODULE_VARS['banner']['BANNER_TABLE']);
    $ClassID_z = intval($MODULE_VARS['banner']['ZONE_TABLE']);
    $ClassID_c = intval($MODULE_VARS['banner']['CAMPAIGN_TABLE']);
    $ClassID_e = intval($MODULE_VARS['banner']['SCRIPT_EXCLUSION_TABLE']);
    $ClassID_s = intval($MODULE_VARS['banner']['SCRIPT_TABLE']);

    $catlang=GetCatalougeLanguge($CatalogueID);
    
    if ($catlang=="ru") {
      $BanSub = InsertSub("", "banner", "", 3, 3, 3, 0, 0, $ClassID_b, $SubdivisionID, $CatalogueID, "index", 1);
      InsertSub(" ", "script", "", 3, 3, 3, 0, 0, $ClassID_s, $BanSub, $CatalogueID, "index", 0);
      InsertSub("", "exclusion", "", 3, 3, 3, 0, 0, $ClassID_e, $BanSub, $CatalogueID, "index", 0);
      InsertSub("", "zone", "", 3, 3, 3, 0, 0, $ClassID_z, $SubdivisionID, $CatalogueID, "index", 1);
      InsertSub("", "campaign", "", 3, 3, 3, 0, 0, $ClassID_c, $SubdivisionID, $CatalogueID, "index", 1);
    }
    else {
      $BanSub = InsertSub("Banners", "banner", "", 3, 3, 3, 0, 0, $ClassID_b, $SubdivisionID, $CatalogueID, "index", 1);
      InsertSub("Scripts", "script", "", 3, 3, 3, 0, 0, $ClassID_s, $BanSub, $CatalogueID, "index", 0);
      InsertSub("Excluision", "exclusion", "", 3, 3, 3, 0, 0, $ClassID_e, $BanSub, $CatalogueID, "index", 0);
      InsertSub("Zones", "zone", "", 3, 3, 3, 0, 0, $ClassID_z, $SubdivisionID, $CatalogueID, "index", 1);
      InsertSub("Campaigns", "campaign", "", 3, 3, 3, 0, 0, $ClassID_c, $SubdivisionID, $CatalogueID, "index", 1);
    }

    UpdateHiddenURL("/", 0, $CatalogueID);
    
    $db->query("UPDATE `Module` SET `Parameters` = '".$module_data["Parameters"]."' WHERE `Module_ID` = '".intval($module_data["Module_ID"])."'");

    //   
    $db->query("UPDATE `Module` SET `Installed` = 1 WHERE `Module_ID` = '".intval($module_data["Module_ID"])."'");
    echo "<br><br>";
		nc_print_status(NETCAT_MODULE_INSTALLCOMPLIED, 'ok');

  break;
}

EndHtml ();
?>