<?
/* $Id: Message.inc.php 3812 2010-06-18 14:14:19Z denis $ */

##############################################
#   
##############################################
function CreateMessageTable ($classid, $db)
{
	$TableName = "Message".$classid;

  	$Creat = "CREATE TABLE ".$TableName." (";
  	$Creat .= " Message_ID int AUTO_INCREMENT PRIMARY KEY,";
  	$Creat .= " User_ID int NOT NULL,";
  	$Creat .= " Subdivision_ID int NOT NULL,";
  	$Creat .= " Sub_Class_ID int NOT NULL,";
  	$Creat .= " Priority int NOT NULL DEFAULT 0,";
  	$Creat .= " Keyword char(255) NOT NULL,";
  	$Creat .= " Checked tinyint NOT NULL DEFAULT 1,";
  	$Creat .= " TimeToDelete date NULL,";
  	$Creat .= " TimeToUncheck date NULL,";
  	$Creat .= " IP char(15) NULL,";
  	$Creat .= " UserAgent char(255) NULL,";
  	$Creat .= " Parent_Message_ID int NOT NULL DEFAULT 0,";
  	$Creat .= " Created datetime NOT NULL,";
  	$Creat .= " LastUpdated timestamp NOT NULL,";
  	$Creat .= " LastUser_ID int NOT NULL,";
  	$Creat .= " LastIP char(15) NULL,";
  	$Creat .= " LastUserAgent char(255) NULL,";
  	$Creat .= " index (User_ID),";
  	$Creat .= " index (LastUser_ID),";
//  	$Creat .= " index (Sub_Class_ID),";
  	$Creat .= " index (Subdivision_ID),";
  	$Creat .= " index (Parent_Message_ID), ";
  	$Creat .= " unique (Sub_Class_ID,Message_ID,Keyword)";
  	$Creat .= ")\n";

        global $LinkID;
        if ((float)mysql_get_server_info($LinkID) >= 4.1)
        {
           global $MYSQL_CHARSET;
           $Creat .= " DEFAULT CHARSET=$MYSQL_CHARSET";
        }

  	$db->query($Creat);

}

##############################################
#   
##############################################
function DropMessageTable ($classid, $db)
{
  	$TableName = "Message".$classid;
  	$drop = "drop table ".$TableName;
  	$db->query($drop);
}

?>